### Method

# Gtk AlertDialogset_buttons

since: 4.10

#### Declaration [src]

    void
    gtk_alert_dialog_set_buttons (
      GtkAlertDialog* self,
      const char* const* labels
    )

#### Description [src]

Sets the button labels for the alert.

Available since: 4.10

Sets property | `Gtk.AlertDialog:buttons`

#### Parameters

`labels`

  Type: An array of `char*`

  The new button labels.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.